#!/usr/bin/env python3
# -*- coding: utf-8 -*-

""" Author:                     Hendrik Schutter, localhorst@mosad.xyz
    Date of creation:           2022/11/23
    Date of last modification:  2022/11/23
"""

import layouter


def main():

    rehdd_info = layouter.ReHddInfo("https://git.mosad.xyz/localhorst/reHDD", "bV0.2.2") # read this from rehdd process
    
    temp_drive = layouter.DriveData(
        drive_index=0,\
        drive_state="shredded",\
        modelfamiliy="Toshiba 2.5\\ HDD MK..65GSSX",\
        modelname="TOSHIBA MK3265GSDX",\
        capacity=343597383680,\
        serialnumber="YG6742U56UDRL123",\
        power_on_hours=7074,\
        power_cycle=4792,\
        smart_error_count=1,\
        shred_timestamp=1647937421,\
        shred_duration=81718)

    layouter.generate_image(temp_drive, rehdd_info, "output.png")

    

if __name__ == "__main__":
    main()